<CsoundSynthesizer>
<CsOptions>
-m128
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 2
0dbfs = 1
seed 0

// put all together and clean up code

instr Cloud

 iMinDens = 2
 iMaxDens = 7
 iMinPitch = 66
 iMaxPitch = 80
 iMinVolDb = -40
 iMaxVolDb = -10
 iMinDur = 1/3
 iMaxDur = 3
 
 iFirstDens = (iMinDens+iMaxDens) / 2
 kDensity init iFirstDens

 kNextEvent metro kDensity
 if kNextEvent == 1 then
  kPitch random iMinPitch, iMaxPitch
  kVolume random iMinVolDb, iMaxVolDb
  kDuration random iMinDur, iMaxDur
  schedulek "PercSine", 0, kDuration, kVolume, kPitch
  kDensity random iMinDens, iMaxDens
 endif
endin

instr PercSine
 iDb = p4 
 iMidiPitch = p5 
 iAttackTime random 1/1000, 3/1000 
 aEnv transeg 0, iAttackTime, 4, ampdb(iDb), p3-iAttackTime, -4, 0
 aEnvRndDb randi 2, 20, 2
 kPchRnd randi 1/10, 6, 2
 aSine poscil aEnv*ampdb(aEnvRndDb), mtof(iMidiPitch+kPchRnd)
 aSine linen aSine, .003, p3, 0
 out aSine, aSine
endin

</CsInstruments>
<CsScore>
i "Cloud" 0 20
</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>100</x>
 <y>100</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
